### Method

# Gio Notification add_button

since: 2.40

#### Declaration [src]

    void
    g_notification_add_button (
      GNotification* notification,
      const gchar* label,
      const gchar* detailed_action
    )

#### Description [src]

Adds a button to `notification` that activates the action in `detailed_action` when clicked. That action must be an application-wide action (starting with “app.”). If `detailed_action` contains a target, the action will be activated with that target as its parameter.

See `g_action_parse_detailed_name()` for a description of the format for `detailed_action`.

Available since: 2.40

#### Parameters

`label`

  Type: `const gchar*`

  Label of the button.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`detailed_action`

  Type: `const gchar*`

  A detailed action name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.